/* Blinker
   Copyright 2011-2019 Stefan Schuermans <stefan@blinkenarea.org>
   Copyleft GNU public license - http://www.gnu.org/copyleft/gpl.html
   a blinkenarea.org project */

#include <string>

#include "Mgrs.h"
#include "Directory.h"
#include "Module.h"

namespace Blinker {

/**
 * @brief constructor
 * @param[in] name module name
 * @param[in] name module name
 * @param[in] mgrs managers
 * @param[in] dirBase base directory
 */
Module::Module(const std::string &name, Mgrs &mgrs, const Directory &dirBase):
  m_name(name),
  m_mgrs(mgrs),
  m_dirBase(dirBase)
{
}

/// virtual destructor
Module::~Module()
{
}

} // namespace Blinker

